
%fram3_exam_P: examples of 3-channel wavelet frames
 %

list_frame3
ind1=input('index of frame--1; 0--former   ')
if ind1(1)~=0
 IND=ind1;
    %chofrfiltT
   %Par=input('enter spline orders  p= ?')
end
%end

n11=128;%input('length of signal; 0--former ?')

if n11~=0
n=n11
end



Par=IND(2);
TS=IND(3);

if TS==0
    [Leo, FLeo]=fram3_lev_P(IND,n,1);
figure;

subplot(1,2,1)
for kk=1:3
a=Leo(kk,:);
plot(a,'LineWidth',2);
hold on
end
hold off

axis([15,n-15,-.5 1])
 set(gca,'XTick',[15 n/2 n-15])

 set(gca,'YTick',[1 3])
set(gca,'XTickLabel',{})
set(gca,'YTickLabel',{})

subplot(1,2,2)
for kk=[1 3]
a=FLeo(kk,1:n/2);
plot(a,'--','LineWidth',3);

hold on
end
kk=2;
a=FLeo(kk,1:n/2);
plot(a,'-','LineWidth',3);
axis([1,n/2+1,0 1.5])
set(gca,'XTick',[0 n/4 n/2])
set(gca,'XTickLabel',{})
 set(gca,'Fontsize',24)
hold off

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
else
   
    [Leo, FLeo]=fram3_lev_P(IND,n,-1);
    
    [Leo1, FLeo1]=fram3_lev_P(IND,n,1);
figure;

subplot(2,2,1)
for kk=1:3
a=Leo(kk,:);
plot(a,'LineWidth',2);
hold on
end
hold off

axis([15,n-15,-.5 .4])
set(gca,'XTick',[15 n/2 n-15])
set(gca,'XTickLabel',{})
set(gca,'YTick',[15 n/2 n-15])
set(gca,'YTickLabel',{})
 set(gca,'Fontsize',24)

subplot(2,2,2)
 kk=[1]
a=FLeo(kk,1:n/2);
plot(a,'--','LineWidth',3);
hold on
kk=2
a=FLeo(kk,1:n/2);
plot(a,'-.','LineWidth',3);
kk=3;
a=FLeo(kk,1:n/2);
plot(a,'-','LineWidth',3);
axis([1,n/2+1,0 1.1])
set(gca,'XTick',[0 n/4 n/2])
set(gca,'XTickLabel',{})
 set(gca,'Fontsize',24)
hold off
subplot(2,2,3)
for kk=1:3
a=Leo1(kk,:);
plot(a,'LineWidth',2);
hold on
end
hold off

axis([15,n-15,-.5 .4])
% set(gca,'XTick',[15 n/2 n-15])
% set(gca,'XTickLabel',{'15',int2str(n/2),int2str(n-15)})
set(gca,'XTick',[15 n/2 n-15])
set(gca,'XTickLabel',{})
set(gca,'YTick',[15 n/2 n-15])
set(gca,'YTickLabel',{})
 set(gca,'Fontsize',24)

subplot(2,2,4)
 kk=1
a=FLeo1(kk,1:n/2);
plot(a,'--','LineWidth',3);
hold on
kk=2
a=FLeo1(kk,1:n/2);
plot(a,'-.','LineWidth',3);
kk=3;
a=FLeo1(kk,1:n/2);
plot(a,'-','LineWidth',3);
axis([1,n/2,0 1.1])
set(gca,'XTick',[0 n/4 n/2])
set(gca,'XTickLabel',{})
 set(gca,'Fontsize',24)
hold off
end
%ens
% Copyright (c) 2012. Valery A. Zheludev

